<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.16 build 0813.1608
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Layout\Listener;

use ZOOlanders\YOOessentials\Config;
use ZOOlanders\YOOessentials\Layout\LayoutManager;

class InitLibraries
{
    public Config $config;
    public LayoutManager $manager;

    public function __construct(Config $config, LayoutManager $manager)
    {
        $this->config = $config;
        $this->manager = $manager;
    }

    public function handle(): void
    {
        $libraries = $this->config->get(LayoutManager::LIBRARIES_CONFIG_KEY, []);

        $this->manager->setLibraries($libraries);
    }
}
